%global project rpm-lockfile-prototype
Name:           python-%project
Version:        0.15.0
Release:        1.20250429071614389205.pr94.5.g9d7dd11%{?dist}
Summary:        Build manual page from python's ArgumentParser object.

License:        GPL-3.0-or-later
URL:            https://github.com/konflux-ci/rpm-lockfile-prototype
Source0:        rpm-lockfile-prototype-0.15.0.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-dnf

%global _description %{expand:
Generate RPM lockfile.}

%description %_description

%package -n python3-%project
Summary: RPM lockfile generator

%description -n python3-%project %_description


%prep
%autosetup -p1 -n rpm-lockfile-prototype-0.15.0


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import


%files -n python3-%project
%license COPYING
%doc README.md
%_bindir/rpm-lockfile-prototype
%_bindir/caching-rpm-lockfile-prototype
%python3_sitelib/rpm_lockfile/*.py
%python3_sitelib/rpm_lockfile/__pycache__/*.pyc
%python3_sitelib/rpm_lockfile/content_origin/*.py
%python3_sitelib/rpm_lockfile/content_origin/__pycache__/*.pyc
%python3_sitelib/rpm_lockfile_prototype-*dist-info


%changelog
* Tue Apr 29 2025 Packit <hello@packit.dev> - 0.15.0-1.20250429071614389205.pr94.5.g9d7dd11
- Support include as a string in treefiles (Frantisek Lachman)
- remove type from podman run command in readme (Parthey Khanderia)
- Handle images with no rpmdb (Lubomír Sedlář)

* Tue Sep 03 2024 Pavel Raiskup <praiskup@redhat.com> - 0.7.2-1
- initial RPM packaging
